classification
Title: http.server option to run CGIHTTPRequestHandler
Type: behavior Stage: resolved
Components: Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: eric.araujo, orsenthil, python-dev
Priority: normal Keywords:

Created on 2012-06-03 08:03 by orsenthil, last changed 2012-06-05 15:03 by orsenthil. This issue is now closed.

Messages (5)
msg162199 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-06-03 08:03
python3 -m http.server enables you to serve with SimpleHTTPRequestHandler serving as http server. If the cgi-bin paths are present those are *not treated as cgi paths*.  Previously in Python2, python -m CGIHTTPServer enabled the sever to run it as CGI enabled HTTP Server.

Since in Python3, both SimpleHTTPServer and CGIHTTPServer are combined into http/server.py, I think having a option to serve cgi server from command like invocation is a good idea.

This is not a new feature, just an enabler in command line execution of http.server module and I think, it should be made available in 3.2 as well as it already available in 2.7 ( via CGIHTTPServer).
msg162200 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-03 08:16
New changeset 935a656359ae by Senthil Kumaran in branch 'default':
Issue 14989: http.server --cgi option can enable the CGI http server.
http://hg.python.org/cpython/rev/935a656359ae
msg162201 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-06-03 08:19
I have added this in 3.3, I am not sure if adding to 3.2 is a good idea. To some, it may look like a feature.
msg162232 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-03 20:50
I don’t think this can be defended as a bug fix, so let’s keep 3.2 as it is.
msg162349 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-06-05 15:03
Thanks for sharing your views,  Éric. I guess, RDM has +1 too ( since he closed it). Let this be only in 3.3+ then.
History
Date User Action Args
2012-06-05 15:03:45orsenthilsetmessages: + msg162349
2012-06-04 21:16:44r.david.murraysetstatus: open -> closed
2012-06-03 20:50:48eric.araujosetnosy: + eric.araujo
messages: + msg162232
2012-06-03 08:19:47orsenthilsetresolution: fixed
messages: + msg162201
stage: needs patch -> resolved
2012-06-03 08:16:50python-devsetnosy: + python-dev
messages: + msg162200
2012-06-03 08:03:04orsenthilcreate